/**
 * Created by jimiz on 2017/4/16.
 */
let express = require('express');
let projectController = require('../controllers/project_controller');

module.exports = function (app) {
    let projectRouter = express.Router();

    projectRouter.post('/save', projectController.save);
    projectRouter.post('/getData', projectController.getData);
    projectRouter.post('/getDataForInterface', projectController.getDataForInterface);
    projectRouter.post('/markUpdateProject', projectController.markUpdateProject);
    projectRouter.post('/removeProjectMark', projectController.removeProjectMark);
    projectRouter.post('/updateNodes', projectController.updateNodes);
    projectRouter.post('/calcInstallationFee', projectController.calcInstallationFee);
    projectRouter.post('/calcOverHeightFee', projectController.calcOverHeightFee);
    projectRouter.post('/saveProperty', projectController.saveProperty);
    projectRouter.post('/getDefaultColSetting', projectController.getDefaultColSetting);
    projectRouter.post('/getSEIProjects', projectController.getSEIProjects);
    projectRouter.post('/loadSEIProjectData', projectController.loadSEIProjectData);
    projectRouter.post('/getDecodedData', projectController.getDecodedData);
    projectRouter.post('/getEncodedData', projectController.getEncodedData);
    projectRouter.get('/getCompareProjects', projectController.getCompareProjects);
    app.use('/project',projectRouter);
};

